NNTPXfer							       NNTPXfer

NAME

	NNTPXfer - transfer articles from NNTP server host to local storage

	newgroup - define newsgroups to be transferred from NNTP server


SYNOPSIS

	NNTPXfer nntpserver activefile [paranoid]

	newgroup activefile newsgroup


DESCRIPTION

	NNTPxfer transfers articles from the NNTP server host to local
	storage (the UUNews: directory). This may be done for a variety
	of reasons, first and foremost that local access to articles is
	significantly faster than remote, regardless of how high-speed
	the communications link is.

	NNTPxfer comes with a small utility program named "newgroup"
	which creates and maintains an active file listing the desired
	newsgroups to be transferred.

	NNTPxfer is driven by an ACTIVE file, which lists all the newsgroups
	which are to be transferred from the server and stored locally. The
	ACTIVE file contains one line per newsgroup in the following format:

		newsgroup hi lo y/n/m

	this will look very familiar to some of you.  :)

	The 'hi' and 'lo' are the highest and lowest articles present in the
	newsgroup. You can only trust the 'hi' figure. This file is rewritten
	by NNTPxfer, so you should not put ANYTHING else in the file. 'lo'
	should be maintained by whatever program is responsible for doing
	newsgroup article deletion on your system.

	You choose whatever you want the ACTIVE file name to be. Recommended:

		UULib:News/Active

	to be consistent with the naming of other network tools on the Amiga.

	If PARANOID is set when you start NNTPxfer, the active file will be
	updated after every newsgroup is complete.

	You *must* do a newgroup on every newsgroup you wish to be
	transferred, prior to running NNTPXfer. Otherwise, NNTPXfer will
	not know to transfer the articles.

	You *must* have UUNews: assigned to a partition prior to running
	"newgroup". It is *highly recommended* that if you have been using
	AmigaUUCP, that you place you place UUNews in a DIFFERENT directory
	than the one which AmigaUUCP was using. NNTPxfer will transfer
	articles using the same article numbers as your NNTP server has,
	which would confuse AmigaUUCP and most newsreaders to no end.

	If you are running GRn, you need to delete (rename) your existing
	GRnrc file, and create a new one, as the article numbers will not
	match. DNews (or any other newsreader/utility that requires .next
	files) will not work when you use NNTPxfer. Others, such as Tin
	and Arn, which maintain their own active file, will need to be set
	up to use the new directory, and rebuild their index files.

	NNTPxfer supports an environment variable named NNTPRNEWS. When
	defined, NNTPxfer will call that program, with each incoming news
	article on standard input, and allow it to file that article. This
	allows the input to be filed along with UUCP news, and vice versus.

	For example, to be used with the AmigaUUCP RNEWS, the definition
	would be:

		SetEnv NNTPRNews uucp:c/rnews -p

	with the -p indicating that this is a "postnews" call. Note that for
	maximum speed and efficiency, RNEWS should be a resident program.

	When used with UUCP, the article numbers in the ACTIVE file will
	continue to map to those of the NNTP server, *not* the local article
	numbers. This is the way it is supposed to work.


BUGS/TODO

	No bugs known.

	It was unfortunate that UULib: and UUNews: were chosen at the
	outset. It implies that these programs are part of, and work with,
	AmigaUUCP, which is not true. Therefore, these may change in the
	future.
