SMTPexpand							    SMTPexpand

NAME

	SMTPexpand - display expanded aliases/addresses


SYNOPSIS

	SMTPexpand address1 .... addressn


DESCRIPTION

	SMTPexpand takes addresses specified on the command line, and
	expands them based on the contents of INet:DB/Aliases (or
	UULib:Aliases if the first file does not exist).

	SMTPexpand will then print out two lists for each address. The
	first consists of what would be placed on the To: header for
	the specified address, and the second is the list of destination
	addresses that email would be shipped to.

	Note that the two may not agree. Use of the '::' operator when
	defining an alias indicates that all of its subordinate items
	are not to appear on the header -- the alias itself is. This is
	most often useful for listservers and mailing lists.


PRAGMATICS

	Each line in INet:DB/Aliases may be either blank, have a '#' as the
	first character to indicate a comment, or begin an alias. An alias
	consists of a name, colon, and list of items. For example:

	       comiclovers:    charlie, ben, lucy, james

	Multi-line aliases may be specified by a comma at the end of each line
	to be continued. For example:

	       comiclovers:    charlie, ben,
			       lucy, james

	Note that the last line has no comma.  Each item in an alias may be:

		1    user	      a local user name

		2    \user	      forces a local user name in an alias

		3    alias	      another alias

		4    path	      some path

		5    >file	      append the mail item to some file

		6    <file	      load a further list of destinations from a
				      file (one item per line)

		7    |command	      pipe mail item to a command with optional args

		8    "|command args"

	For example, if incoming mail to "pm" should be posted to the mailbox
	for "pm" and automatically appended to an archive file:

		pm: \pm,>uumail:mbox

	Note the use of the '\' to prevent an alias loop.

	Items may point to other aliases ("pm" is already an alias):

		comiclovers:	pm, fred

	Mail may be piped to a command, such as an automated vacation-response
	program:

		pm: \pm, >uumail:archive, |vacation

	Aliases are expanded by default on the outgoing header lines. You
	can disable alias expansion by using a double colon, like this:

		huge-mailing-list:: fubar@red, d, asdflk

	Using the double colon will cause the To: field to only contain the
	name of the alias, 'huge-mailing-list'.  This is extremely useful for
	mailing lists.

	A comment is denoted by a '#'.  Also, any text that occurs after the
	first space in a comma delimited field will be ignored.  A line that
	begins with a '#' is ignored (as if it did not exist).  For example:

	test:	t1,
		t2 (This is T2),
		t3, # fubar
	 #	t4,
		t5

	The above alias expands to: t1, t2, t3, t5

	If the file INet:DB/Aliases cannot be found, SMTPexpand (as well as
	SMTPpost and SMTPd) will attempt to open UULib:Aliases.


SEE ALSO

	SMTPpost.man
